using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

[MetadataType(typeof(OrderInfo))]
public partial class Order
{
}
class OrderInfo
{    
    [UIHint("DateTimeTelerik")]
    public DateTime? OrderDate { get; set; }
    [UIHint("ForeignKeyTelerik")]
    public Customer Customer { get; set; }
    [UIHint("IntegerTelerik")]
    public int? ShipVia { get; set; }
    [UIHint("TextTelerik")]
    public string ShipName { get; set; }
}

[MetadataType(typeof(CategoryInfo))]
public partial class Category
{
}
class CategoryInfo
{
    [UIHint("TextTelerik")]
    public string CategoryName { get; set; }
    [UIHint("MultilineTextTelerik")]
    public string Description { get; set; }
    [UIHint("BinaryImage")]
    public System.Data.Linq.Binary Picture { get; set; }
}